import tkinter.ttk as ttk
import tkinter as tk


class GuiTools:  # this class make on purpose to use Implement GUI class easier
    button_style = {'font': ('Helvetica', 12),
                    'bg': 'white',
                    'fg': 'black',
                    'relief': 'raised',
                    'borderwidth': 1,
                    'width': 20,
                    'height': 2}

    @staticmethod
    def create_menu_combobox(place, selection_variable, option_list):
        menu = ttk.Combobox(place, textvariable=selection_variable)
        menu["state"] = "readonly"
        menu["values"] = option_list
        return menu

    @staticmethod
    def create_toplevel(name):
        toplevel_window = tk.Toplevel()
        toplevel_window.geometry("600x600")
        toplevel_window.title(name)
        toplevel_window.resizable(False, False)
        return toplevel_window
