import pandas as pd


class Reader:  # this class make on purpose to read a local file and cleaning data
    @staticmethod
    def read_csv(file):
        df = pd.read_csv(file)
        not_use_column = ["graphic_card_gb", "weight", "display_size", "old_price", "discount", "reviews", "msoffice",
                          "warranty"]
        for element in not_use_column:
            df = df.drop(element, axis=1)
        df.rename(columns={"processor_name": "ProcessorName",
                           "processor_gnrtn": "ProcessorGeneration",
                           "ram_gb": "Ram",
                           "ram_type": "RamType",
                           "os_bit": "Bit",
                           "latest_price": "Price",
                           "star_rating": "StarRate"}, inplace=True)
        return df
